﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.IO;

namespace basic.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {

        public ActionResult UploadFile()
        {
            return View();
        }

        // This required the futures assembly
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult UploadFiles(HttpPostedFileBase[] fileName)
        {
            if (fileName == null)
            {
                ModelState.AddModelError("fileName", "Invalid File specified");
                return View();
            }

            // just save the first file
            string fileNameOnDisk = Path.Combine( Server.MapPath("/files"), fileName[0].FileName);
            fileName[0].SaveAs(fileNameOnDisk);

            ViewData["status"] = string.Format("File: {0} was uploaded.", fileName[0].FileName);

            return View("uploadfile");
        }

        // This will with ASP.NET MVC 1.0
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult UploadFile(HttpPostedFileBase fileName)
        {
            if (fileName == null)
            {
                ModelState.AddModelError("fileName", "Invalid File specified");
                return View();
            }

            string fileNameOnDisk = Path.Combine(Server.MapPath("/files"), fileName.FileName);
            fileName.SaveAs(fileNameOnDisk);

            ViewData["status"] = string.Format("File: {0} was uploaded.", fileName.FileName);

            return View();
        }
    }
}
